Extending Qt Creator Manual | MimeDatabasePrivate

Extending Qt Creator Manual 4.7.1

# MimeDatabasePrivate Class

(Utils::Internal::MimeDatabasePrivate)

- List of all members, including inherited members

## Public Functions

| ~MimeDatabasePrivate()
int | allMimeTypes()
int | defaultMimeType() const
int | findByData(const int &, int *)
bool | inherits(const int &mime, const int &parent)
int | mimeTypeForFileName(const int &, int *)
int | mimeTypeForFileNameAndData(const int &, QIODevice *, int *)
int | mimeTypeForName(const int &)
Utils::Internal::MimeProviderBase * | provider()
void | setProvider(Utils::Internal::MimeProviderBase *theProvider)

## Static Public Members

Utils::Internal::MimeDatabasePrivate * | instance()

## Member Function Documentation

### MimeDatabasePrivate::~MimeDatabasePrivate()

Destroys the instance of MimeDatabasePrivate.

### int MimeDatabasePrivate::allMimeTypes()

### int MimeDatabasePrivate::defaultMimeType() const

### int MimeDatabasePrivate::findByData(const int &, int *)

### bool MimeDatabasePrivate::inherits(const int &mime, const int &parent)

### `[static]` Utils::Internal::MimeDatabasePrivate *MimeDatabasePrivate::instance()

### int MimeDatabasePrivate::mimeTypeForFileName(const int &, int *)

### int MimeDatabasePrivate::mimeTypeForFileNameAndData(const int &, QIODevice *, int *)

### int MimeDatabasePrivate::mimeTypeForName(const int &)

### Utils::Internal::MimeProviderBase *MimeDatabasePrivate::provider()

See also setProvider().

### void MimeDatabasePrivate::setProvider(Utils::Internal::MimeProviderBase *theProvider)

See also provider().